#!/bin/bash

INST_DIR="/opt/assistant"

. $INST_DIR/scripts/get_version_os.sh

cd $INST_DIR/bin/

if [[ ($ID == "altlinux" || $ID == "centos") && $VER_TEMP == "7" ]]
then
    export LD_LIBRARY_PATH=$INST_DIR/lib
fi


if [[ $1 == --restart ]]
then
    echo "Restarting Assistant..."
    kill `pidof asts astrct assistant master slave ffmpeg` 2> /dev/null
    sleep 1s
fi


$INST_DIR/bin/assistant $1

exit 0